from datetime import datetime
import os, logging
import sys

os.makedirs("logs", exist_ok=True)
logging.basicConfig(
    level=logging.INFO,
    format="%(asctime)s [%(levelname)s] %(message)s",
    datefmt="%Y-%m-%d %H:%M:%S",
    filename=datetime.today().strftime("logs/%Y%m%d.log"),
    filemode="a"
)

console = logging.StreamHandler(sys.stdout)
console.setFormatter(logging.Formatter(
    fmt="%(asctime)s [%(levelname)s] %(message)s",
    datefmt="%Y-%m-%d %H:%M:%S"))
logging.getLogger().addHandler(console)